"use strict";
// Copyright 2022-latest Tomoki Miyauchi. All rights reserved. MIT license.
// This module is browser compatible.
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasOwn = exports.isValidDate = exports.isRfc3339TimeFormat = exports.isRfc3339DateTimeFormat = exports.isRfc3339DateFormat = exports.isHostnameFormat = exports.isHexColorFormat = exports.isPositiveNumber = exports.isOdd = exports.isNonPositiveNumber = exports.isNonNegativeNumber = exports.isNonNegativeInteger = exports.isNegativeNumber = exports.isEven = exports.isUndefined = exports.isTruthy = exports.isTrue = exports.isSymbol = exports.isString = exports.isRegExp = exports.isPromise = exports.isPrimitive = exports.isObject = exports.isNumber = exports.isNullable = exports.isNull = exports.isNonNullable = exports.isIterable = exports.isFunction = exports.isFalsy = exports.isFalse = exports.isError = exports.isEmptyObject = exports.isDate = exports.isBoolean = exports.isBigint = exports.isAsyncIterable = void 0;
var top_types_js_1 = require("./top_types.js");
Object.defineProperty(exports, "isAsyncIterable", { enumerable: true, get: function () { return top_types_js_1.isAsyncIterable; } });
Object.defineProperty(exports, "isBigint", { enumerable: true, get: function () { return top_types_js_1.isBigint; } });
Object.defineProperty(exports, "isBoolean", { enumerable: true, get: function () { return top_types_js_1.isBoolean; } });
Object.defineProperty(exports, "isDate", { enumerable: true, get: function () { return top_types_js_1.isDate; } });
Object.defineProperty(exports, "isEmptyObject", { enumerable: true, get: function () { return top_types_js_1.isEmptyObject; } });
Object.defineProperty(exports, "isError", { enumerable: true, get: function () { return top_types_js_1.isError; } });
Object.defineProperty(exports, "isFalse", { enumerable: true, get: function () { return top_types_js_1.isFalse; } });
Object.defineProperty(exports, "isFalsy", { enumerable: true, get: function () { return top_types_js_1.isFalsy; } });
Object.defineProperty(exports, "isFunction", { enumerable: true, get: function () { return top_types_js_1.isFunction; } });
Object.defineProperty(exports, "isIterable", { enumerable: true, get: function () { return top_types_js_1.isIterable; } });
Object.defineProperty(exports, "isNonNullable", { enumerable: true, get: function () { return top_types_js_1.isNonNullable; } });
Object.defineProperty(exports, "isNull", { enumerable: true, get: function () { return top_types_js_1.isNull; } });
Object.defineProperty(exports, "isNullable", { enumerable: true, get: function () { return top_types_js_1.isNullable; } });
Object.defineProperty(exports, "isNumber", { enumerable: true, get: function () { return top_types_js_1.isNumber; } });
Object.defineProperty(exports, "isObject", { enumerable: true, get: function () { return top_types_js_1.isObject; } });
Object.defineProperty(exports, "isPrimitive", { enumerable: true, get: function () { return top_types_js_1.isPrimitive; } });
Object.defineProperty(exports, "isPromise", { enumerable: true, get: function () { return top_types_js_1.isPromise; } });
Object.defineProperty(exports, "isRegExp", { enumerable: true, get: function () { return top_types_js_1.isRegExp; } });
Object.defineProperty(exports, "isString", { enumerable: true, get: function () { return top_types_js_1.isString; } });
Object.defineProperty(exports, "isSymbol", { enumerable: true, get: function () { return top_types_js_1.isSymbol; } });
Object.defineProperty(exports, "isTrue", { enumerable: true, get: function () { return top_types_js_1.isTrue; } });
Object.defineProperty(exports, "isTruthy", { enumerable: true, get: function () { return top_types_js_1.isTruthy; } });
Object.defineProperty(exports, "isUndefined", { enumerable: true, get: function () { return top_types_js_1.isUndefined; } });
var numbers_js_1 = require("./numbers.js");
Object.defineProperty(exports, "isEven", { enumerable: true, get: function () { return numbers_js_1.isEven; } });
Object.defineProperty(exports, "isNegativeNumber", { enumerable: true, get: function () { return numbers_js_1.isNegativeNumber; } });
Object.defineProperty(exports, "isNonNegativeInteger", { enumerable: true, get: function () { return numbers_js_1.isNonNegativeInteger; } });
Object.defineProperty(exports, "isNonNegativeNumber", { enumerable: true, get: function () { return numbers_js_1.isNonNegativeNumber; } });
Object.defineProperty(exports, "isNonPositiveNumber", { enumerable: true, get: function () { return numbers_js_1.isNonPositiveNumber; } });
Object.defineProperty(exports, "isOdd", { enumerable: true, get: function () { return numbers_js_1.isOdd; } });
Object.defineProperty(exports, "isPositiveNumber", { enumerable: true, get: function () { return numbers_js_1.isPositiveNumber; } });
var strings_js_1 = require("./strings.js");
Object.defineProperty(exports, "isHexColorFormat", { enumerable: true, get: function () { return strings_js_1.isHexColorFormat; } });
Object.defineProperty(exports, "isHostnameFormat", { enumerable: true, get: function () { return strings_js_1.isHostnameFormat; } });
Object.defineProperty(exports, "isRfc3339DateFormat", { enumerable: true, get: function () { return strings_js_1.isRfc3339DateFormat; } });
Object.defineProperty(exports, "isRfc3339DateTimeFormat", { enumerable: true, get: function () { return strings_js_1.isRfc3339DateTimeFormat; } });
Object.defineProperty(exports, "isRfc3339TimeFormat", { enumerable: true, get: function () { return strings_js_1.isRfc3339TimeFormat; } });
var dates_js_1 = require("./dates.js");
Object.defineProperty(exports, "isValidDate", { enumerable: true, get: function () { return dates_js_1.isValidDate; } });
var object_js_1 = require("./object.js");
Object.defineProperty(exports, "hasOwn", { enumerable: true, get: function () { return object_js_1.hasOwn; } });
